package intrinsic.flash.filters;

public class BevelFilter extends intrinsic.flash.filters.BitmapFilter {

	/** Accessors */
	public double angle;
	public int highlightColor;
	public double distance;
	public String type;
	public int shadowColor;
	public double highlightAlpha;
	public double shadowAlpha;
	public boolean knockout;
	public double blurX;
	public double blurY;
	public double strength;
	public int quality;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public BevelFilter() {
}

public BevelFilter(Object arg0) {
}

public BevelFilter(Object arg0, Object arg1) {
}

public BevelFilter(Object arg0, Object arg1, Object arg2) {
}

public BevelFilter(Object arg0, Object arg1, Object arg2, Object arg3) {
}

public BevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
}

public BevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
}

public BevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
}

public BevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7) {
}

public BevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8) {
}

public BevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9) {
}

public BevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10) {
}

public BevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
